IAPZ requires a current version of Microsoft Internet Explorer

IApz has not been fully tested with other browsers such as FireFox or Netscape, and may cause compatibility Issues.

We are currently testing with Chrome, but have not achieved 100% functionality at this time.

Please visit http://www.microsoft.com/windows/downloads/ie/getitnow.mspx to upgrade.